const router = require('express').Router();
let dataset = require('../dataset/dataset.js');
module.exports = () => {
    router.get('/', (req, res) => {
        return res.json(dataset);
    });

    router.post('/addPlayer', (req, res) => {
        console.log(req.body);
        dataset.push(req.body);
        return res.json({ success: "success" });
    });

    router.patch('/updatePlayer/:oldName/:newName', (req, res) => {
        let player = dataset.map(p => p.name.toLowerCase() === req.params.oldName.toLowerCase());
        player.name = req.params.newName;
        return res.json({ success: "success" });
    });

    router.delete('/deletePlayer/:name', (req, res) => {
        dataset = dataset.filter(p => p.name.toLowerCase() !== req.params.name.toLowerCase());
        return res.json({ success: "success" });
    });

    return router;
};
